Loading...
Searching...
No Matches
dolfin::FunctionAXPY Class Reference

`#include <FunctionAXPY.h>`

## Public Types

enum class | Direction : int { ADD_ADD =0 , SUB_ADD =1 , ADD_SUB =2 , SUB_SUB =3 }
| Enum to decide what way AXPY is constructed.

## Public Member Functions

| FunctionAXPY (std::shared_ptr< const Function > func, double scalar)
| Constructor.
| FunctionAXPY (const FunctionAXPY &axpy, double scalar)
| Constructor.
| FunctionAXPY (std::shared_ptr< const Function > func0, std::shared_ptr< const Function > func1, Direction direction)
| Constructor.
| FunctionAXPY (const FunctionAXPY &axpy, std::shared_ptr< const Function > func, Direction direction)
| Constructor.
| FunctionAXPY (const FunctionAXPY &axpy0, const FunctionAXPY &axpy1, Direction direction)
| Constructor.
| FunctionAXPY (std::vector< std::pair< double, std::shared_ptr< const Function > > > pairs)
| Constructor.
| FunctionAXPY (const FunctionAXPY &axpy)
| Copy constructor.
| ~FunctionAXPY ()
| Destructor.
FunctionAXPY | operator+ (std::shared_ptr< const Function > func) const
| Addition operator.
FunctionAXPY | operator+ (const FunctionAXPY &axpy) const
| Addition operator.
FunctionAXPY | operator- (std::shared_ptr< const Function > func) const
| Subtraction operator.
FunctionAXPY | operator- (const FunctionAXPY &axpy) const
| Subtraction operator.
FunctionAXPY | operator* (double scale) const
| Scale operator.
FunctionAXPY | operator/ (double scale) const
| Scale operator.
const std::vector< std::pair< double, std::shared_ptr< const Function > > > & | pairs () const
| Return the scalar and Function pairs.

## Detailed Description

This class represents a linear combination of functions. It is mostly used as an intermediate class for operations such as u = 3*u0 + 4*u1; where the rhs generates an FunctionAXPY.

The documentation for this class was generated from the following files:

- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/FunctionAXPY.h
- /build/dolfin-lFBzDh/dolfin-2019.2.0~legacy20240219.1c52e83/dolfin/function/FunctionAXPY.cpp